Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class OutputKeys

    java.lang.Object
      |
      +--javax.xml.transform.OutputKeys

public class OutputKeys
extends java.lang.Object

Constants to set or get xsl:output values.

Field Summary
`static java.lang.String` | `CDATA_SECTION_ELEMENTS` Equivalent to xsl:output cdata-section-elements
`static java.lang.String` | `DOCTYPE_PUBLIC` Equivalent to xsl:output doctype-public
`static java.lang.String` | `DOCTYPE_SYSTEM` Equivalent to xsl:output doctype-system
`static java.lang.String` | `ENCODING` Equivalent to xsl:output encoding
`static java.lang.String` | `INDENT` Equivalent to xsl:output indent
`static java.lang.String` | `MEDIA_TYPE` Equivalent to xsl:output media-type
`static java.lang.String` | `METHOD` Equivalent to xsl:output method
`static java.lang.String` | `OMIT_XML_DECLARATION` Equivalent to xsl:output omit-xml-declaration
`static java.lang.String` | `STANDALONE` Equivalent to xsl:output standalone
`static java.lang.String` | `VERSION` Equivalent to xsl:output version

Constructor Summary
`OutputKeys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CDATA_SECTION_ELEMENTS

    public static final java.lang.String CDATA_SECTION_ELEMENTS

  Equivalent to xsl:output cdata-section-elements

### DOCTYPE_PUBLIC

    public static final java.lang.String DOCTYPE_PUBLIC

  Equivalent to xsl:output doctype-public

### DOCTYPE_SYSTEM

    public static final java.lang.String DOCTYPE_SYSTEM

  Equivalent to xsl:output doctype-system

### ENCODING

    public static final java.lang.String ENCODING

  Equivalent to xsl:output encoding

### INDENT

    public static final java.lang.String INDENT

  Equivalent to xsl:output indent

### MEDIA_TYPE

    public static final java.lang.String MEDIA_TYPE

  Equivalent to xsl:output media-type

### METHOD

    public static final java.lang.String METHOD

  Equivalent to xsl:output method

### OMIT_XML_DECLARATION

    public static final java.lang.String OMIT_XML_DECLARATION

  Equivalent to xsl:output omit-xml-declaration

### STANDALONE

    public static final java.lang.String STANDALONE

  Equivalent to xsl:output standalone

### VERSION

    public static final java.lang.String VERSION

  Equivalent to xsl:output version

Constructor Detail

### OutputKeys

    public OutputKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD